The Interactive Folio requires Adobe Flash 8 or higher to work properly.
Click here to download the latest version of Adobe Flash.